Name: audacity
Version: 1.0.0
Release: alt5

Packager: Andrei Astafiev <andrei@altlinux.ru>

Summary: Cross-platform audio editor
Summary(ru_RU.CP1251):   
License: GPL
Url: http://audacity.sourceforge.net/
Group: Sound

Source: %name-src-%version.tar.bz2
Source1: %name.menu
Source2: %name-48x48.xpm
Source3: %name-32x32.xpm
Source4: %name-16x16.xpm

Patch: %name-1.0.0-mdk-fix-help.patch
Patch1: %name-1.0.0-alt-sys_id3lib.patch

%define wxGTK_ver 2.2.9-alt2
%define id3lib_ver 3.8.2

Requires: wxGTK >= %wxGTK_ver
Requires: id3lib >= %id3lib_ver

BuildPreReq: wxGTK-devel >= %wxGTK_ver
BuildPreReq: id3lib-devel >= %id3lib_ver

# Automatically added by buildreq on Sun Feb 02 2003
BuildRequires: XFree86-devel gcc-c++ glib-devel gtk+-devel id3lib-devel libjpeg-devel libmad-devel libogg-devel libpng-devel libstdc++-devel libtiff-devel libvorbis-devel wxGTK-devel zip zlib-devel

%description
Audacity is a program that lets you manipulate digital audio waveforms.
It imports many sound file formats, including WAV, AIFF, AU, IRCAM,
MP3, and Ogg Vorbis. It supports all common editing operations such
as Cut, Copy, and Paste, plus it will mix tracks and let you apply
plug-in effects to any part of a sound.

%description -l ru_RU.CP1251
Audacity -   ,    
  WAV, AIFF, AU, IRCAM, MP3  Ogg Vorbis.   
  ,   , , ,
    ,    ,
    .

%prep
%setup -q -n %name-src-%version
%patch -p0
%patch1 -p1

%build
%__autoconf
%configure --with-help \
	--with-libmad \
	--with-vorbis \
	--with-id3 \
	--without-xaudio

%make_build

%install
%makeinstall PREFIX=$RPM_BUILD_ROOT%prefix install

%__install -pD -m644 %SOURCE1 $RPM_BUILD_ROOT%_menudir/%name
%__install -pD -m644 %SOURCE2 $RPM_BUILD_ROOT%_liconsdir/%name.xpm
%__install -pD -m644 %SOURCE3 $RPM_BUILD_ROOT%_iconsdir/%name.xpm
%__install -pD -m644 %SOURCE4 $RPM_BUILD_ROOT%_miconsdir/%name.xpm
%__install -pD -m644 audacity-help.htb $RPM_BUILD_ROOT%_datadir/%name/audacity-help.htb

%post
%update_menus

%postun
%clean_menus

%files
%doc README.txt
%_bindir/audacity
%_menudir/*
%_iconsdir/*.xpm
%_liconsdir/*
%_miconsdir/*
%_datadir/%name/*

%changelog
* Sun Feb 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt5
- Rebuild with new id3lib (3.8.2)

* Fri Nov 15 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt4
- Rebuild with new id3lib (3.8.1)

* Wed Nov 13 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt3
- Rebuild, system id3lib used.

* Wed Jul 31 2002 Stanislav Ievlev <inger@altlinux.ru> 1.0.0-alt2.1
- rebuild with new vorbis

* Mon Jun 24 2002 Andrei Astafiev <andrei@altlinux.ru> 1.0.0-alt2
- Fixed intersection with basesystem.

* Fri Jun 7 2002 Andrei Astafiev <andrei@altlinux.ru> 1.0.0-alt1
- 1.0.0

* Mon May 27 2002 Andrei Astafiev <andrei@altlinux.ru> 1.1-alt0.1.cvs
- cvs snapshot 20020527 of 1.1.x unstable branch especially for Daedalus.

* Wed Feb 13 2002 Andrei Astafiev <andrei@altlinux.ru> 0.99-alt0.1.pre1
- cvs snapshot 20020213 with several bugfixes.
- relocated help.

* Tue Feb 12 2002 Andrei Astafiev <andrei@altlinux.ru> 0.98-alt2
- rebuild with wxGTK 2.2.x branch.

* Fri Feb 01 2002 Andrei Astafiev <andrei@altlinux.ru> 0.98-alt1
- 0.98.

* Tue Jan 08 2002 Andrei Astafiev <andrei@altlinux.ru> 0.97-alt2
- Fixed group tag.

* Thu Oct 11 2001 Andrei Astafiev <andrei@altlinux.ru> 0.97-alt1
- First version of RPM package.
